#ifndef MULTIVIEWWIN_H
#define MULTIVIEWWIN_H


#include "RMWin.h"

class MultiViewWin : public RMWin
{
public:
	MultiViewWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(MultiViewWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
};


#endif
